/*
 * Copyright 2013 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

BasicMenu {
    id: __menu
    property alias text: __priv.text
    property alias progression: __priv.progression
    property alias control: __priv.control
    property alias iconFrame: __priv.iconFrame
    property alias icon: __priv.icon

    anchors.left: parent ? parent.left : undefined
    anchors.right: parent ? parent.right : undefined
    color: "#221e1c"
    implicitHeight: units.gu(7)

    signal clicked()

    ListItem.Standard {
        id: __priv

        anchors.fill: parent
        anchors.margins: units.gu(1.0)
        text: menu && menu.label ? menu.label : ""
        progression: menu && (menu.linkSubMenu != undefined)
        showDivider: false
        __foregroundColor: "#e8e1d0"

        onClicked: __menu.clicked()
    }

    HLine {
        id: ___topHLine
        anchors.top: parent.top
        color: "#403b37"
    }

    HLine {
        id: ___bottomHLine
        anchors.bottom: parent.bottom
        color: "#060606"
    }
}
