/*
 * Copyright 2013 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 */

#ifndef CHEWIECLIENT_H
#define CHEWIECLIENT_H

#include <QApplication>
#include <QQuickView>

class PluginManager;
class WidgetsMap;

class ChewieClient : public QObject
{
    Q_OBJECT
public:
    ChewieClient(int &argc, char **argv);
    ~ChewieClient();

    int run();

private:
    QApplication *m_application;
    QString m_pluginsDir;
    QQuickView *m_view;
    bool m_fullscreen;

    void setupPluginsDir();
    void setupUI();
    void printUsage() const;
};

#endif
