/*
 * Copyright 2013 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 *      Ubo Riboni <ugo.riboni@canonical.com>
 */

#ifndef CHEWIE_DATETIMEPLUGIN_H
#define CHEWIE_DATETIMEPLUGIN_H

#include "chewie_commonplugin.h"
#include <QTimer>
#include <QDateTime>

class QStateAction;

class ChewieDateTimePlugin : public ChewieCommonPlugin
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "com.canonical.ChewiePluginInterface" FILE "datetime.json")
    Q_INTERFACES(ChewiePluginInterface)

public:
    ChewieDateTimePlugin(QObject *parent=0);
    ~ChewieDateTimePlugin();

    void init(const QJsonObject &config);
    void shutdown();
    QString dateTime() const;
    bool parseRootElement(const QString &type, QMap<int, QVariant> data);
    QQmlComponent *createComponent(QQmlEngine *engine, QObject *parent=0) const;

private Q_SLOTS:
    void onTimeout();
    void updateTimeFormat(const QVariant &state);

private:
    QTimer m_timer;
    QString m_format;
    QStateAction *m_action;
};

#endif
