/*
 * Copyright 2013 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 *      Olivier Tilloy <olivier.tilloy@canonical.com>
 */

#include "chewie_messagingplugin.h"

#include <QUrl>
#include <QtPlugin>

ChewieMessagingPlugin::ChewieMessagingPlugin(QObject *parent)
    : ChewieCommonPlugin(parent)
{
}

ChewieMessagingPlugin::~ChewieMessagingPlugin()
{
}

void ChewieMessagingPlugin::init(const QJsonObject &config)
{
    ChewieCommonPlugin::init(config);
    Q_INIT_RESOURCE(chewie_messagingplugin);

    m_initialProperties.insert("emptyText", "You have no more outstanding messages.");
    m_initialProperties.insert("highlightFollowsCurrentItem", false);
}

ChewiePluginInterface::WidgetsMap ChewieMessagingPlugin::widgets()
{
    static WidgetsMap w;
    if (w.isEmpty()) {
        w.insert("com.canonical.indicator.messages.messageitem", QUrl("qrc:/messagingplugin/qml/MessageItem.qml"));
        w.insert("com.canonical.indicator.messages.snapdecision", QUrl("qrc:/messagingplugin/qml/MessageItem.qml"));
        w.insert("com.canonical.indicator.messages.sourceitem", QUrl("qrc:/messagingplugin/qml/GroupedMessage.qml"));
    }
    return w;
}

