/*
 * Copyright 2013 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 */

#include "chewie_networkplugin.h"
#include "networkagent.h"

#include <QUrl>
#include <QtQml>
#include <QtPlugin>

ChewieNetworkPlugin::ChewieNetworkPlugin(QObject *parent)
    : ChewieCommonPlugin(parent)
{
}

ChewieNetworkPlugin::~ChewieNetworkPlugin()
{
}

void ChewieNetworkPlugin::init(const QJsonObject &config)
{
    ChewieCommonPlugin::init(config);
    Q_INIT_RESOURCE(chewie_networkplugin);

    qmlRegisterType<NetworkAgent>("NetworkSettings", 0, 1, "NetworkAgent");

    //TODO: implement support for root element on service
    setIcon(QUrl("nm-signal-100"));
}

QQmlComponent *ChewieNetworkPlugin::createComponent(QQmlEngine *engine, QObject *parent) const
{
    return new QQmlComponent(engine, QUrl("qrc:/networkplugin/qml/NetworkPage.qml"), parent);
}

ChewiePluginInterface::WidgetsMap ChewieNetworkPlugin::widgets()
{
    static WidgetsMap w;
    if (w.isEmpty()) {
        w.insert("unity.widget.systemsettings.tablet.sectiontitle", QUrl("qrc:/networkplugin/qml/WifiSection.qml"));
        w.insert("unity.widgets.systemsettings.tablet.wifisection", QUrl("qrc:/networkplugin/qml/WifiSection.qml"));
        w.insert("unity.widgets.systemsettings.tablet.accesspoint", QUrl("qrc:/networkplugin/qml/Accesspoint.qml"));
    }
    return w;
}
