/*
 * Copyright 2013 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

Page {
    id: pagePassword

    property variant agent
    property variant token

    anchors.fill: parent
    title: "Network Authentication"

    Column {
        width: parent.width

        ListItem.Standard {
            height: units.gu(7)
            width: parent.width
            Label {
                anchors.fill: parent
                anchors.margins: units.gu(0.5)
                fontSize: "large"
                text: "Authentication"
            }
        }

        ListItem.Standard {
            height: units.gu(7)
            width: parent.width
            TextField {
                id: txtPassword
                anchors.fill: parent
                anchors.margins: units.gu(0.5)
                placeholderText: "Password"
                echoMode: showPasswordCheckBox.checked ? TextInput.Normal : TextInput.Password
            }
        }

        ListItem.Standard {
            height: units.gu(7)
            Row {
                anchors.top: parent.top
                anchors.left: parent.left
                anchors.bottom: parent.bottom
                anchors.margins: units.gu(0.5)
                spacing: units.gu(0.5)
                CheckBox {
                    id: showPasswordCheckBox
                }
                Label {
                    text: "Show password"
                    anchors.verticalCenter: showPasswordCheckBox.verticalCenter
                }
            }
            Row {
                anchors.top: parent.top
                anchors.right: parent.right
                anchors.bottom: parent.bottom
                anchors.margins: units.gu(0.5)
                spacing: units.gu(0.5)
                Button {
                    text: "Cancel"
                    width: units.gu(10)
                    onClicked: {
                        agent.cancel(token);
                        pageStack.pop()
                    }
                }

                Button {
                    text: "Ok"
                    onClicked: {
                        agent.authenticate(token, txtPassword.text)
                        pageStack.pop()
                    }
                }
            }
        }
    }
}
