class MainWindow(object):
    """An emulator class to interact with the chewie-client."""

    def __init__(self, app):
        self.app = app

    def get_qml_view(self):
        """Get the main QML view"""
        return self.app.select_single("QQuickView")

    def get_page_stack(self):
        """Get the page stack"""
        return self.app.select_single("PageStack")

    def get_messaging_menu(self):
        """Get the messaging menu from the list"""
        # Now, this is quite ugly as it finds the item according to the
        # visible string. This will fail as soon as we run the test with
        # localized strings! However, as the main plugin list will disappear
        # anyways, I'll leave it for now. Once you update this, better try
        # adding a unique "objectName" property to the delegates!
        return self.app.select_single("Menu", objectName="Messages")
