# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# Copyright 2012 Canonical
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

"""Chewie-client autopilot tests."""

import os.path

from autopilot.introspection.qt import QtIntrospectionTestMixin
from autopilot.testcase import AutopilotTestCase

from chewie_client.emulators.main_window import MainWindow


class ChewieClientTestCase(AutopilotTestCase, QtIntrospectionTestMixin):
    """A common test case class that provides several useful methods
       for the chewie-client tests."""

    def setUp(self):
        super(ChewieClientTestCase, self).setUp()
        # Lets assume we are installed system wide if this file is in /usr
        if os.path.realpath(__file__).startswith("/usr/") or os.path.realpath(__file__).startswith("/opt/"):
            self.launch_test_installed()
        else:
            self.launch_test_local()

    def launch_test_local(self):
        self.app = self.launch_test_application(
            "../../client/chewie-client",
            "--plugins-dir=../../plugins",
            "--include-dir=../../chewieui"
            )

    def launch_test_installed(self):
        self.app = self.launch_test_application(
           "chewie-client")

    @property
    def main_window(self):
        return MainWindow(self.app)
