# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# Copyright 2012 Canonical
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

"""Tests for the Chewie-client App"""

from __future__ import absolute_import

from testtools.matchers import Equals
from autopilot.matchers import Eventually

from chewie_client.tests import ChewieClientTestCase


class TestMessagingFeatures(ChewieClientTestCase):
    """Tests the messaging menu"""

    """Common setup for all test cases for the messaging menu"""
    def setUp(self):
        super(TestMessagingFeatures, self).setUp()
        # This opens the messaging menu so you don't have to do that in
        # every test case
        messages = self.main_window.get_messaging_menu()
        self.pointing_device.move_to_object(messages)
        self.pointing_device.click()

    """Open the main menu"""
    def test_open_messages(self):
        # This just checks if the PageStack's depth is 2 -> The messaging menu
        # has been opened successfully
        page_stack = self.main_window.get_page_stack()
        self.assertThat(page_stack.depth, Eventually(Equals(2)))
