/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 */

#include "blankplugin.h"

#include <QDebug>

BlankPlugin::BlankPlugin(QObject *parent)
    : QObject(parent)
{
}

BlankPlugin::~BlankPlugin()
{
}

void BlankPlugin::init(const QJsonObject &config)
{
    QVariantMap info = config.value("MetaData").toVariant().toMap();
    m_priority = info["priority"].toInt();
}

void BlankPlugin::shutdown()
{
}


QUrl BlankPlugin::icon() const
{
    return QUrl("");
}

QString BlankPlugin::title() const
{
    return QString("Blank Plugin");
}

bool BlankPlugin::visible() const
{
    return true;
}

QString BlankPlugin::accessibleName() const
{
    return "";
}

QString BlankPlugin::label() const
{
    return "blank label";
}

QQmlComponent *BlankPlugin::component(QQmlEngine *engine, QObject *parent)
{
    return 0;
}

int BlankPlugin::priority() const
{
    return m_priority;
}

ChewiePluginInterface::PropertiesMap BlankPlugin::initialProperties()
{
    return ChewiePluginInterface::PropertiesMap();
}

ChewiePluginInterface::WidgetsMap BlankPlugin::widgets()
{
    return ChewiePluginInterface::WidgetsMap();
}
