/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 */

#ifndef BLANKPLUGIN_H
#define BLANKPLUGIN_H

#include <chewieplugininterface.h>
#include <QObject>

class BlankPlugin : public QObject, public ChewiePluginInterface
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "com.canonical.ChewiePluginInterface" FILE "blank.json")
    Q_INTERFACES(ChewiePluginInterface)

public:
    BlankPlugin(QObject *parent=0);
    ~BlankPlugin();

    void init(const QJsonObject &config);
    void shutdown();

    QUrl icon() const;
    QString title() const;
    QString accessibleName() const;
    bool visible() const;
    QString label() const;
    int priority() const;

    QQmlComponent *component(QQmlEngine *engine, QObject *parent=0);
    PropertiesMap initialProperties();
    WidgetsMap widgets();

protected:
    int m_priority;
};

#endif
