/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors:
 *      Renato Araujo Oliveira Filho <renato@canonical.com>
 */

#include "fakeplugin2.h"

#include <QUrl>
#include <QSettings>
#include <QDebug>

Fake2Plugin::Fake2Plugin(QObject *parent)
    : QObject(parent)
{
}

Fake2Plugin::~Fake2Plugin()
{
}

void Fake2Plugin::init(const QJsonObject &config)
{
    QVariantMap info = config.value("MetaData").toVariant().toMap();

    m_initalProperties.clear();
    m_initalProperties.insert("title", info["name"]);
    m_initalProperties.insert("busType", 1);
    m_initalProperties.insert("busName", info["dbus-service"]);
    m_initalProperties.insert("objectPath", info["dbus-object-path"]);
}

void Fake2Plugin::shutdown()
{
}

QUrl Fake2Plugin::icon() const
{
    return QUrl("/usr/share/fake2.png");
}

QString Fake2Plugin::title() const
{
    return QString("Fake2 plugin");
}


bool  Fake2Plugin::visible() const
{
    return true;
}

QString Fake2Plugin::accessibleName() const
{
    return "";
}

QString Fake2Plugin::label() const
{
    return "fake2 label";
}

QQmlComponent *Fake2Plugin::component(QQmlEngine *engine, QObject *parent)
{
    return 0;
}

int Fake2Plugin::priority() const
{
    return 10;
}

ChewiePluginInterface::PropertiesMap Fake2Plugin::initialProperties()
{
    return m_initalProperties;
}

ChewiePluginInterface::WidgetsMap Fake2Plugin::widgets()
{
    WidgetsMap w;
    w.insert("com.canonical.button", QUrl("Button.qml"));
    w.insert("com.canonical.label", QUrl("Label.qml"));
    return w;
}
